package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionTaskDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 生产任务明细列表查询返回值实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class ProductionTaskDetailVo extends ProductionTaskDetail {

    /**
     * 产品名
     */
    private String productName;

    /**
     * 工序名称
     */
    private String productionProcessesName;
    /**
     * 下一工序名称
     */
    private String nextProductionProcessesName;

    /**
     * 累计耗时
     */
    private String cumulativeTime;

    /**
     * 流转人名称
     */
    private String circulationUserName;

    /**
     * 产品编号
     */
    private String code;

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 前一道工序名称
     */
    private String previousProcessesName;

    /**
     * 负责人名称
     */
    private String personLiableName;

    //-------------------生产进度--------------------------
    /**
     * 销售合同号
     */
    private String contractCode;
    /**
     * 工单号
     */
    private String workOrderCode;
    /**
     * 生产计划号
     */
    private String productionPlanCode;
    /**
     * 生产任务号
     */
    private String productionTaskCode;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 任务完成期限
     */
    private Date dueDate;
    /**
     * 当前工序名称
     */
    private String productionProcessesNames;
}
